Library to optimise picking in the warehouse This library includes algorithms that should lead to improvements in picking path optimization in the warehouse. Any specifications that

Loading...
Searching...
No Matches
Public Member Functions | List of all members
BoxConfiguration Class Reference

the configuration of the boxes, which will be used More...

`#include <setup_configuration.h>`

## Public Member Functions
void | addBox (Box b, long count=-1)
| add a box and its count More...
vector< pair< Box, int > > | getBoxesWCountVector ()
vector< Box > | getBoxesVector ()
Box | getFirstBox ()
| get the first box in the box vect More...
void | addBox (Box b, long count=-1)
| add a box and its count More...
vector< pair< Box, int > > | getBoxesWCountVector ()
vector< Box > | getBoxesVector ()
Box | getFirstBox ()
| get the first box in the box vect More...

## Detailed Description

the configuration of the boxes, which will be used

## Member Function Documentation

## ◆ addBox() [1/2]

void BoxConfiguration::addBox | ( | Box | b,
|  | long | count = `-1`
| ) |  |

add a box and its count

Parameters

  b | box instance
  count | number representing the occurences of this box type in a warehouse, set to -1 when count its infinity

## ◆ addBox() [2/2]

void BoxConfiguration::addBox | ( | Box | b,
|  | long | count = `-1`
| ) |  |

add a box and its count

Parameters

  b | box instance
  count | number representing the occurences of this box type in a warehouse, set to -1 when count its infinity

## ◆ getFirstBox() [1/2]

Box BoxConfiguration::getFirstBox | ( |  | ) |

get the first box in the box vect

Returns
  first box in box vector or empty box instance if there is no box

## ◆ getFirstBox() [2/2]

Box BoxConfiguration::getFirstBox | ( |  | ) |

get the first box in the box vect

Returns
  first box in box vector or empty box instance if there is no box

The documentation for this class was generated from the following files:

- setup_configuration.h
- WarehousePickingOpt.h
- setup_configuration.cpp